Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers
Interface MuleDefinitionParser

All Superinterfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser, MuleDefinitionParserConfiguration

All Known Subinterfaces:
  DynamicAttributeDefinitionParser, MuleChildDefinitionParser

All Known Implementing Classes:
  AbstractChildDefinitionParser, AbstractDelegatingDefinitionParser, AbstractFirstResultSerialDefinitionParser, AbstractFlowConstructDefinitionParser, AbstractHierarchicalDefinitionParser, AbstractMuleBeanDefinitionParser, AbstractParallelDelegatingDefinitionParser, AbstractPluggableDelegate, AbstractSerialDelegatingDefinitionParser, AbstractSingleParentFamilyChildDefinitionParser, AbstractSingleParentFamilyDefinitionParser, AddressedEndpointDefinitionParser, AggregatorDefinitionParser, AllAttributeChildDefinitionParser, AttributeListEntryDefinitionParser, AttributeMapDefinitionParser, AttributePropertiesDefinitionParser, AttributeSelectionDefinitionParser, BindingDefinitionParser, BooleanAttributeSelectionDefinitionParser, BridgeDefinitionParser, ByteOrMessageProtocolDefinitionParser, ChildAddressDefinitionParser, ChildDefinitionParser, ChildEndpointDefinitionParser, ChildListDefinitionParser, ChildListEntryDefinitionParser, ChildMapDefinitionParser, ChildMapEntryDefinitionParser, ChildPropertiesDefinitionParser, ChildSingletonMapDefinitionParser, ClientKeyStoreDefinitionParser, ComponentDefinitionParser, ComponentDelegatingDefinitionParser, ConfigurationChildDefinitionParser, ConfigurationDefinitionParser, ConnectionFactoryDefinitionParser, DataObjectDefinitionParser, DefaultNameMuleOrphanDefinitionParser, DefaultThreadingProfileDefinitionParser, DescendentDefinitionParser, ElementInNestedMapDefinitionParser, EndpointPropertyElementDefinitionParser, EndpointRefParser, ExceptionTXFilterDefinitionParser, FilterDefinitionParser, FilterRefDefinitionParser, FlowDefinitionParser, FlowRefDefinitionParser, GenericGlobalEndpointDefinitionParser, GlobalPropertyDefinitionParser, GrandchildDefinitionParser, GroovyRefreshableBeanBuilderParser, IgnoreObjectMethodsDefinitionParser, InboundRouterDefinitionParser, InheritDefinitionParser, InterceptorDefinitionParser, InterceptorStackDefinitionParser, JmsConnectorDefinitionParser, JmxAgentDefinitionParser, KeyStoreDefinitionParser, ListPropertyDefinitionParser, MapDefinitionParserMutator, MessageFilterDefinitionParser, MessageProcessorChainDefinitionParser, MessageProcessorDefinitionParser, MessageProcessorRefDefinitionParser, MessagePropertiesTransformerDefinitionParser, ModelDefinitionParser, MuleMQConnectorDefinitionParser, MuleOrphanDefinitionParser, NamedDefinitionParser, NamespaceManagerDefinitionParser, NameTransferDefinitionParser, NestedListDefinitionParser, NestedMapDefinitionParser, NestedMapWithAttributesDefinitionParser, NotificationDefinitionParser, NotificationDisableDefinitionParser, ObjectFactoryDefinitionParser, ObjectFactoryWrapper, OptionalChildDefinitionParser, OrphanAddressDefinitionParser, OrphanDefinitionParser, OrphanEndpointDefinitionParser, OrphanMapDefinitionParser, ParentContextDefinitionParser, ParentDefinitionParser, PoolingProfileDefinitionParser, ProtocolHandlerDefinitionParser, RemoteDispatcherAgentDefinitionParser, ResponseDefinitionParser, RouterDefinitionParser, ScriptComponentDefinitionParser, ScriptDefinitionParser, SecurityFilterDefinitionParser, ServiceDefinitionParser, ServiceOverridesDefinitionParser, ShortcutComponentDefinitionParser, SimpleComponentDefinitionParser, SimplePropertyDefinitionParser, SimpleServiceDefinitionParser, SingleParentFamilyDefinitionParser, SplitterDefinitionParser, StaticComponentDefinitionParser, TestComponentDefinitionParser, TextDefinitionParser, ThreadingProfileDefinitionParser, TransactionConfigDefinitionParser, TransactionDefinitionParser, TransactionManagerDefinitionParser, TransportEndpointDefinitionParser, TransportGlobalEndpointDefinitionParser, TrustStoreDefinitionParser, ValidatorDefinitionParser, WrappingChildDefinitionParser, WSProxyDefinitionParser, XsltTextDefinitionParser, XsltTransformerDefinitionParser

    public interface MuleDefinitionParser

extends org.springframework.beans.factory.xml.BeanDefinitionParser, MuleDefinitionParserConfiguration

This is the interface all Mule BDPs implement. It is a bit odd because it had to be retro-fitted to existing code. In particular `BeanDefinitionParser.parse(Element, ParserContext)` and `muleParse(Element, ParserContext)` seem to duplicate each other. This is because many Mule classes subclass a Spring helper which makes `parse()` final. So instead we need to use `muleParse(Element, ParserContext)`, to allow over-rides.

In case that's not clear - always call `muleParse(Element, ParserContext)` rather than `BeanDefinitionParser.parse(Element, ParserContext)`. The `BeanDefinitionParser` is here only to allow the BDP to be handed over to Spring.

Method Summary
`String` | `getBeanName(Element element)`
`org.springframework.beans.factory.support.AbstractBeanDefinition` | `muleParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Method Detail

### muleParse

    org.springframework.beans.factory.support.AbstractBeanDefinition muleParse(Element element,
                                                                               org.springframework.beans.factory.xml.ParserContext parserContext)

### getBeanName

    String getBeanName(Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.